Package org.eclipse.birt.chart.model.component.impl

# Class DialRegionImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.MarkerRangeImpl
org.eclipse.birt.chart.model.component.impl.DialRegionImpl

All Implemented Interfaces:
  `DialRegion`, `MarkerRange`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class DialRegionImpl extends MarkerRangeImpl implements DialRegion
An implementation of the model object 'Dial Region'.

The following features are implemented:

- `Inner Radius`
- `Outer Radius`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`DialRegion`
`copyInstance()`
`static final DialRegion`
`create()`
`static final DialRegion`
`createDefault()`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getInnerRadius()`
`double`
`getOuterRadius()`
`final void`
`initDefault()`
`final void`
`initialize()`
`boolean`
`isSetInnerRadius()`
`boolean`
`isSetOuterRadius()`
`void`
`setInnerRadius(double newInnerRadius)`
`void`
`setOuterRadius(double newOuterRadius)`
`String`
`toString()`
`void`
`unsetInnerRadius()`
`void`
`unsetOuterRadius()`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.MarkerRangeImpl

`basicSetCursor, basicSetEndValue, basicSetFill, basicSetFormatSpecifier, basicSetLabel, basicSetOutline, basicSetStartValue, create, create, createDefault, eInverseRemove, getCursor, getEndValue, getFill, getFormatSpecifier, getLabel, getLabelAnchor, getOutline, getStartValue, getTriggers, isSetLabelAnchor, setCursor, setEndValue, setFill, setFormatSpecifier, setLabel, setLabelAnchor, setOutline, setStartValue, unsetLabelAnchor`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.birt.chart.model.component.MarkerRange

`getCursor, getEndValue, getFill, getFormatSpecifier, getLabel, getLabelAnchor, getOutline, getStartValue, getTriggers, isSetLabelAnchor, setCursor, setEndValue, setFill, setFormatSpecifier, setLabel, setLabelAnchor, setOutline, setStartValue, unsetLabelAnchor`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getInnerRadius

public double getInnerRadius()

Specified by:
  `getInnerRadius` in interface `DialRegion`
Returns:
  the value of the 'Inner Radius' attribute.
See Also:
  - `DialRegion.isSetInnerRadius()`
  - `DialRegion.unsetInnerRadius()`
  - `DialRegion.setInnerRadius(double)`
  - `ComponentPackage.getDialRegion_InnerRadius()`

### setInnerRadius

public void setInnerRadius(double newInnerRadius)

Specified by:
  `setInnerRadius` in interface `DialRegion`
Parameters:
  `newInnerRadius` - the new value of the 'Inner Radius' attribute.
See Also:
  - `DialRegion.isSetInnerRadius()`
  - `DialRegion.unsetInnerRadius()`
  - `DialRegion.getInnerRadius()`

### unsetInnerRadius

public void unsetInnerRadius()

Specified by:
  `unsetInnerRadius` in interface `DialRegion`
See Also:
  - `DialRegion.isSetInnerRadius()`
  - `DialRegion.getInnerRadius()`
  - `DialRegion.setInnerRadius(double)`

### isSetInnerRadius

public boolean isSetInnerRadius()

Specified by:
  `isSetInnerRadius` in interface `DialRegion`
Returns:
  whether the value of the 'Inner Radius' attribute is set.
See Also:
  - `DialRegion.unsetInnerRadius()`
  - `DialRegion.getInnerRadius()`
  - `DialRegion.setInnerRadius(double)`

### getOuterRadius

public double getOuterRadius()

Specified by:
  `getOuterRadius` in interface `DialRegion`
Returns:
  the value of the 'Outer Radius' attribute.
See Also:
  - `DialRegion.isSetOuterRadius()`
  - `DialRegion.unsetOuterRadius()`
  - `DialRegion.setOuterRadius(double)`
  - `ComponentPackage.getDialRegion_OuterRadius()`

### setOuterRadius

public void setOuterRadius(double newOuterRadius)

Specified by:
  `setOuterRadius` in interface `DialRegion`
Parameters:
  `newOuterRadius` - the new value of the 'Outer Radius' attribute.
See Also:
  - `DialRegion.isSetOuterRadius()`
  - `DialRegion.unsetOuterRadius()`
  - `DialRegion.getOuterRadius()`

### unsetOuterRadius

public void unsetOuterRadius()

Specified by:
  `unsetOuterRadius` in interface `DialRegion`
See Also:
  - `DialRegion.isSetOuterRadius()`
  - `DialRegion.getOuterRadius()`
  - `DialRegion.setOuterRadius(double)`

### isSetOuterRadius

public boolean isSetOuterRadius()

Specified by:
  `isSetOuterRadius` in interface `DialRegion`
Returns:
  whether the value of the 'Outer Radius' attribute is set.
See Also:
  - `DialRegion.unsetOuterRadius()`
  - `DialRegion.getOuterRadius()`
  - `DialRegion.setOuterRadius(double)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `MarkerRangeImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `MarkerRangeImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `MarkerRangeImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `MarkerRangeImpl`

### toString

public String toString()

Overrides:
  `toString` in class `MarkerRangeImpl`

### create

public static final DialRegion create()

Returns:
  instance of `DialRegion`.

### createDefault

public static final DialRegion createDefault()

### initialize

public final void initialize()

### initDefault

public final void initDefault()

### copyInstance

public DialRegion copyInstance()

Specified by:
  `copyInstance` in interface `DialRegion`
Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `MarkerRange`
Overrides:
  `copyInstance` in class `MarkerRangeImpl`